Bug 1609208 - broken for big endian arches
Summary: broken for big endian arches
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libtirpc
Version: rawhide
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-07-27 09:32 UTC by Dan Horák
Modified: 2018-07-31 18:04 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-07-31 18:04:40 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1261738 None None None Never

Internal Trackers: 1261738

Description Dan Horák 2018-07-27 09:32:43 UTC
Description of problem:
As discovered when running libdap4 test-suite (https://github.com/OPENDAP/libdap4/issues/69), libtirpc is currently broken for big endian arches. The fix already exists in libtirpc git repo as
http://git.linux-nfs.org/?p=steved/libtirpc.git;a=commitdiff;h=145272c2b6d89a1c3a7de86a2cbef43880f1b61b;hp=c07848a0f9685204e618e9fa858e8fb26169a024

Please update Fedora packages.

Version-Release number of selected component (if applicable):
libtirpc-1.0.3-2.rc2.fc28.s390x

Comment 1 Fedora Update System 2018-07-29 16:57:09 UTC
libtirpc-1.0.3-3.rc2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8d998ee04

Comment 2 Fedora Update System 2018-07-30 01:27:17 UTC
libtirpc-1.0.3-3.rc2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8d998ee04

Comment 3 Fedora Update System 2018-07-31 18:04:40 UTC
libtirpc-1.0.3-3.rc2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.